Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8077564

Reject support for fmri-in-manifest in SVR4-IPS conversion script

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 6u95
    • Fix Version/s: 6u105
    • Component/s: install
    • Resolved In Build:
      b01
    • OS:
      solaris_11
    • Verification:
      Not verified

      Backports

        Description

        JDK-8067837 "Make SVR4 to IPS conv script compatible with pkgsend syntax change"
        Introduces a support for "fmri" parameter of "pkgsend publish" command to be passed within a manifest file rather than as a command line parameter.

        JDK-8067837 change is not currently needed by RE (it will be needed in future in case RE upgrades its environment to newer Solaris 11 or Solaris 12 not longer supporting "frmi" as a command line parameter)
        moreover JDK-8067837 requires improvement as it is not fully back compatible with older Solaris11 used by RE.

        We found that it may not generate correctly full IPS packages (see JDK-8075924)

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                miroslawzn Miroslaw Niemiec (Inactive)
                Reporter:
                miroslawzn Miroslaw Niemiec (Inactive)
                Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: